> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pardocs.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Uploaded Documents

The **Get Uploaded Documents** endpoint retrieves a list of documents that have been uploaded to the ParDocs API. This is useful for managing and reviewing the documents that have been submitted for processing.

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url https://api.pardocs.com/v1/documents \
    --header 'x-api-key: <api-key>'
  ```

  ```python Python theme={null}
  import requests

  url = "https://api.pardocs.com/v1/documents"
  headers = {"x-api-key": "<api-key>"}

  response = requests.get(url, headers=headers)

  print(response.json())
  ```
</RequestExample>


## OpenAPI

````yaml openapi-documents GET /v1/documents
openapi: 3.1.0
info:
  title: Document API
  version: 1.0.1
servers:
  - url: https://api.pardocs.com
security:
  - ApiKeyAuth: []
paths:
  /v1/documents:
    get:
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DocumentResponse'
        4XX:
          description: unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    DocumentResponse:
      type: object
      properties:
        document_id:
          type: string
          description: ''
        document_name:
          type: string
          description: ''
        document_created_at:
          type: integer
          description: ''
    Error:
      required:
        - detail
      type: object
      properties:
        detail:
          type: string
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````